#ifndef SPELL_CHECK_H
#define SPELL_CHECK_H

typedef struct 
{
    gchar *word;
    gchar *line;
    gint start;
    gint end;
    gint row;
} spell_word;

int gse_spell_init_aspell (gchar *lang);
spell_word *gse_spell_get_next_word (spell_word *prev_word);
void gse_spell_exit_spellchecker (void);
void gse_spell_add_suggestions (gpointer string, gpointer user_data);
gboolean gse_spell_only_legal_chars (gchar *word);
void gse_spell_enter_check_loop (GtkWidget *btn_start, gpointer data);
GList *gse_spell_check_word (gchar *word);
spell_word *gse_spell_replace_word (spell_word *word, gchar *new_word);
void gse_spell_insert_word (gchar *word, gboolean lowercase);
void gse_spell_ignore_word (gchar *word);
void gse_spell_show_dialog (GtkWidget *wgt, gpointer data);
void gse_spell_btn_clicked (GtkWidget *btn, gpointer data);
GtkWidget *gse_spell_create_dialog (void);

#endif /* SPELL_CHECK_H */
