#ifndef _CFG_H
#define _CFG_H

#define CFG_NUM_TB_TYPES 3

void cfg_open_prefwin (GtkWidget *wgt, gpointer data);
void cfg_write_config_file (void);
void cfg_read_config_file (void);
GList *cfg_get_predefined_framerates (void);
int gse_float_compare_func (gchar *a, gchar *b);
void gse_str_validate_fps (gchar **str);

/* Cfg callbacks */
void cfg_cb_widget_changed (GtkWidget *wgt, gpointer data);
void cfg_cb_apply (GnomePropertyBox *property_box, gint page_num, gpointer data);
void cfg_cb_clist_fps_select_row (GtkWidget *clist, gpointer data);
void cfg_cb_btn_fps_clicked (GtkWidget *btn, gpointer data);
void cfg_cb_entry_fps_keypress (GtkWidget *entry, GdkEventKey *event, gpointer data);

GtkWidget *cfg_create_tab_main (void);
GtkWidget *cfg_create_tab_fps (void);

#endif /* _CFG_H */
